<?php
session_start();
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id)) {
header ('location: /');
exit;
}
$query = DB :: $dbs -> query ("SELECT * FROM `downs` WHERE `id`= ?", [$id]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}
$file = $query -> fetch();
$raz = DB :: $dbs -> queryFetch("SELECT * FROM `down_r` WHERE `id`= ?", [$file['rid']]);
$praz = DB :: $dbs -> queryFetch("SELECT * FROM `down_pr` WHERE `id`= ?", [$file['prid']]);
$url = $_SERVER['DOCUMENT_ROOT'].'/'.$file['url'];
$ext = pathinfo($url);
$ext = $ext['extension'];

$title->SetTitle('Голосовавшие за файл '.$file['name']);
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Загруз-центр - '.$file['name'].' </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/downs" rel="v:url" property="v:title">Загруз-центр</a></li><li typeof="v:Breadcrumb"><a href="show_dir.html?id='.$raz['id'].'" rel="v:url" property="v:title">'.$raz['name'].'</a></li><li typeof="v:Breadcrumb"><a href="show_kat.html?id='.$praz['id'].'" rel="v:url" property="v:title">'.$praz['name'].'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title"><b>'.$file['name'].'</b></span></li></ol></div><div class="col-xs-12 col-sm-4 col-md-3 col-lg-3 text-right page_header_sidebar"></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
if ($file['user_id'] == $b['id'] || $b['level'] > 1) {
echo '<div class="catSides"><a href="/downs"><i class="md-format-list-bulleted"></i> Загруз-центр</a> - Действие с файлом</div><div class="row text_box"><a href="admin.php?id='.$id.'"><i class="md-settings"></i>  <a href="admin.php?id='.$id.'">[Изменить]</a> <a href="admin.php?do=screen&id='.$id.'">[Скриншоты]</a>';
}
if ($b['level'] > 1) {
echo '  '.($file['block'] == 0 ? '<a href="?id='.$id.'&block">[Блокировать файл]</a>':'<a href="?id='.$id.'&unblock">[Разблокировать файл]</a>').' <a href="admin.php?do=per&id='.$id.'">[Перенести]</a>';
}
if ($file['user_id'] == $b['id'] || $b['level'] > 1) {
echo '</div>';
}
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Файл "'.$file['name'].'"</div>';

$k_post = DB::$dbs->querySingle("SELECT COUNT(id) FROM `down_votes` WHERE `id_file` = ?", [$id]);
if ($k_post == 0) {
err('Голосовавших нет!');
}
$num = 10;
$k_page = k_page($k_post, $num);
$page = page($k_page);
$start = $num*$page-$num;
$array = DB::$dbs->query("SELECT * FROM `down_votes` WHERE `id_file` = ? ORDER BY time DESC LIMIT $start,$num",array($id));
while($arr = $array -> fetch()) {

echo '<div class="row text_box">'.$del . Nick($arr['user_id']).' ('.vr($arr['time']).') '. ($arr['type'] == 'za' ? '<font color="green"><b>+1</b></font>':'<font color="red"><b>-1</b></font>').'<br/>Комментарий: '.text($arr['text']).'</div>';
}
if ($k_page > 1) {
str('?id='.$id.'&',$k_page,$page);
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="file.html?id='.$id.'"><i class="md-apps"></i> Вернуться к файлу</a></li></ul>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>